﻿#Send-Invoke-ADR-Office365

$ADRParams = @{
    appname = "Windows 10"
    ADRroot = "\\napwcfs01\itn_home01\SCCM\Windows Update\Windows10 - ADR Packages"
    ADRName = "ADR - Windows 10"
    adrrulename = "$ADRName "+(get-date -format g)
    adrruledesc = "Generated by Invoke-ADR - ADR for $ADRName : "+(get-date -format g)
    adrpackagename = "AUTOPKG-$appname-"+(get-date -format g)
    adrpackagedesc = "Generated by Invoke-ADR - Package for: "+(get-date -format g)
    deploymentdesc = "Generated by Invoke-ADR for $adrname on (get-date -format g)"
    distributionpts = @(
        "USWDPS901.US.PINKERTONS.COM"
        "USEDPS901.US.PINKERTONS.COM"
        "USTDPS901.US.PINKERTONS.COM"
        "CATDPS901.US.PINKERTONS.COM"
        )
    deploy = $false
}

.\Invoke-ADR.ps1 @ADRParams



If($deploy -eq $true){

#distribute to our fastring users
IF((Get-CMSoftwareUpdateDeployment -Name $latestsug.LocalizedDisplayName) | Where {$_.TargetCollectionID -eq "SSS00089"}){
    Write-Host "An existing deployment was found, will not create the deployment."
    }
    Else
    {
    (New-CMSoftwareUpdateDeployment -VerbosityLevel AllMessages `
        -SoftwareUpdateGroupName $latestsug.LocalizedDisplayName `
        -CollectionName $frcollection.Name `
        -DeploymentName $frdeploymentname `
        -Description $deploymentdesc `
        -DeploymentType Required `
        -DeadlineDateTime (get-date).adddays(7) `
        -AvailableDateTime (get-date)
    )
    }


#distribute to our wide-deployment users
IF((Get-CMSoftwareUpdateDeployment -Name $latestsug.LocalizedDisplayName) | Where {$_.TargetCollectionID -eq "SSS00107"}){
    Write-Host "An existing deployment was found, will not create the deployment."
    }
    Else
    {
    (New-CMSoftwareUpdateDeployment -VerbosityLevel AllMessages `
        -SoftwareUpdateGroupName $latestsug.LocalizedDisplayName `
        -CollectionName $wrcollection.Name `
        -DeploymentName $wrdeploymentname `
        -Description $deploymentdesc `
        -DeploymentType Required `
        -DeadlineDateTime (get-date).adddays(29) `
        -AvailableDateTime (get-date).adddays(14)
    )
    }
}
Else
{
Write-Output "Deploy was set to false, no deployment of SUG performed"
}